summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--payloads/external/tint/Makefile5
-rwxr-xr-xpayloads/external/tint/generate_core.sh1
-rwxr-xr-xpayloads/external/tint/tintify_core.sh6
3 files changed, 7 insertions, 5 deletions
diff --git a/payloads/external/tint/Makefile b/payloads/external/tint/Makefile
index 5bd9df5a4f75..2b653f5a3992 100644
--- a/payloads/external/tint/Makefile
+++ b/payloads/external/tint/Makefile
@@ -7,8 +7,7 @@
#
TINT_VERSION=0.05
-TINT_EXT_VERSION=0.05
-TINT_ARCHIVE_LINK="https://mirror.fsf.org/trisquel/pool/main/t/tint/tint_${TINT_EXT_VERSION}.tar.xz"
+TINT_BASE_URL="https://mirror.fsf.org/trisquel/pool/main/t/tint"
TINT_ARCHIVE="tint_${TINT_VERSION}.tar.xz"
TINT_DIR="tint-${TINT_VERSION}"
TINT_SHA1SUM="859008216930a4584e622d0df41fd75c44d2b47f"
@@ -50,7 +49,7 @@ tint:
"./generate_core.sh" ${buildgcc} ${corescript} "prepare_before_patch" ; \
chmod +x "./tintify_core.sh" ; \
"./tintify_core.sh" ${corescript} ${tintified} \
- ${TINT_ARCHIVE_LINK} ${TINT_ARCHIVE} ${TINT_DIR} ${TINT_SHA1SUM} ; \
+ ${TINT_BASE_URL} ${TINT_ARCHIVE} ${TINT_DIR} ${TINT_SHA1SUM} ; \
fi ; \
chmod +x ${tintified}
${tintified}
diff --git a/payloads/external/tint/generate_core.sh b/payloads/external/tint/generate_core.sh
index bb0de2d16959..834906b5fcff 100755
--- a/payloads/external/tint/generate_core.sh
+++ b/payloads/external/tint/generate_core.sh
@@ -97,6 +97,7 @@ sed -i -e "s/util\/crossgcc\///g" "$corescript"
if [ ! -z "${prepare_before_patch}" ] ; then
sed -i -e "/\$TAR \$FLAGS \"\$(basename \"\$archive\")\"/a prepare_\${package} || exit \"\$?\"" "$corescript"
+ sed -i -e "/\$TAR \$FLAGS \"\$archive\"/a prepare_\${package} || exit \"\$?\"" "$corescript"
fi
#
diff --git a/payloads/external/tint/tintify_core.sh b/payloads/external/tint/tintify_core.sh
index c2eb7e6b78bb..0cd659912a57 100755
--- a/payloads/external/tint/tintify_core.sh
+++ b/payloads/external/tint/tintify_core.sh
@@ -9,7 +9,7 @@
#
# USAGE:
# ./tintify_core.sh <corescript> <tintified> \
-# <TINT_ARCHIVE_LINK> <TINT_ARCHIVE> <TINT_DIR> <TINT_SHA1SUM>
+# <TINT_BASE_URL> <TINT_ARCHIVE> <TINT_DIR> <TINT_SHA1SUM>
# where
# corescript - path to input core script
# tintified - path to output tint script
@@ -28,10 +28,12 @@ tintified="$2"
#
echo "#!/bin/sh" > "$tintified"
-echo "TINT_ARCHIVE_LINK=${3}" >> "$tintified"
+echo "TINT_BASE_URL=${3}" >> "$tintified"
echo "TINT_ARCHIVE=${4}" >> "$tintified"
+echo "TINT_ARCHIVE_LINK=${3}/${4}" >> "$tintified"
echo "TINT_DIR=${5}" >> "$tintified"
echo "TINT_SHA1SUM=${6}" >> "$tintified"
+echo "USE_COREBOOT_MIRROR=0" >> "$tintified"
#
# Add the replace_plus_with_minus() function - needed to fix the version number